고객 속성 정의
고객 속성 정의 생성
인증된 조직에 고객 속성 정의를 생성합니다. 속성 키는 조직 안에서 고유해야 합니다.
POST
/
customer-attribute-definitions
고객 속성 정의 생성
curl --request POST \
--url https://client-api.tryvox.co/v3/customer-attribute-definitions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"enum_options": [
"<string>"
],
"conflict_mode": "overwrite"
}
'import requests
url = "https://client-api.tryvox.co/v3/customer-attribute-definitions"
payload = {
"name": "<string>",
"description": "<string>",
"enum_options": ["<string>"],
"conflict_mode": "overwrite"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
enum_options: ['<string>'],
conflict_mode: 'overwrite'
})
};
fetch('https://client-api.tryvox.co/v3/customer-attribute-definitions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"is_active": true,
"created_at": 123,
"updated_at": 123,
"enum_options": [
"<string>"
]
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Request validation failed.",
"details": {
"field": "name",
"reason": "must not be blank"
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"details": {}
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Permission denied.",
"details": {}
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found.",
"details": {
"resource": "agent"
}
}
}{
"error": {
"code": "CONFLICT",
"message": "The requested operation conflicts with current state.",
"details": {
"current_status": "draft"
}
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Too many requests.",
"details": {
"limit": 5,
"window_seconds": 1
}
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error.",
"details": {}
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service temporarily unavailable.",
"details": {}
}
}Authorizations
조직 API 키를 Authorization: Bearer <token> 형식으로 보냅니다.
Body
application/json
생성할 고객 속성 정의입니다.
속성 이름입니다. 공백 제거 후 1~100자여야 합니다.
값 형식입니다. enum 형식이면 enum_options가 필요합니다.
Available options:
string, number, boolean, enum, date 속성 설명입니다.
enum 형식에 허용되는 문자열 값입니다. 다른 형식에는 지정할 수 없습니다.
자동 추출 값의 충돌 처리 방식입니다.
Available options:
overwrite, fill_if_empty Response
성공 응답
고객 속성 정의 UUID입니다.
조직 안에서 고유한 속성 이름입니다.
속성 값 유형입니다.
Available options:
string, number, boolean, enum, date 속성 설명입니다.
자동 추출 값의 갱신 방식입니다. 기존 값을 항상 덮어쓰거나, 기존 값이 비어 있을 때만 채울 수 있습니다.
Available options:
overwrite, fill_if_empty 정의의 활성 여부입니다.
리소스 생성 시각입니다. 밀리초 단위 unix timestamp입니다.
리소스 수정 시각입니다. 밀리초 단위 unix timestamp입니다.
enum 유형에서 허용하는 문자열 값 목록입니다. 다른 유형이면 null입니다.
Was this page helpful?
⌘I
고객 속성 정의 생성
